package hpdos.lib;

import hpdos.grpc.ReplicationRequest;
import hpdos.grpc.ReplicationResponse;

import java.util.HashMap;
import java.util.concurrent.ExecutionException;

public interface ReplicationService {
    abstract ReplicationResponse replicateMetadata(ReplicationRequest replicationRequest) throws InterruptedException, ExecutionException;
    abstract ReplicationResponse replicateMetadataAsync(ReplicationRequest replicationRequest) throws InterruptedException;
    abstract void cleanup() throws InterruptedException;
    abstract HashMap<String, MasterFollower> getFollowers();
}
